Xalan-Java 2.7.1: Class ErrorMsg

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler.util
Class ErrorMsg

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.compiler.util.ErrorMsg

public final class ErrorMsg
extends java.lang.Object

Field Summary
`static java.lang.String` | `ARGUMENT_CONVERSION_ERR`
`static java.lang.String` | `ATTR_VAL_TEMPLATE_ERR`
`static java.lang.String` | `ATTRIBSET_UNDEF_ERR`
`static java.lang.String` | `CIRCULAR_INCLUDE_ERR`
`static java.lang.String` | `CIRCULAR_VARIABLE_ERR`
`static java.lang.String` | `CLASS_NOT_FOUND_ERR`
`static java.lang.String` | `CMDLINE_OPT_MISSING_ARG_ERR`
`static java.lang.String` | `COMPILE_STDIN_ERR`
`static java.lang.String` | `COMPILE_USAGE_STR`
`static java.lang.String` | `COMPILER_ERROR_KEY`
`static java.lang.String` | `COMPILER_WARNING_KEY`
`static java.lang.String` | `CONSTRUCTOR_NOT_FOUND`
`static java.lang.String` | `COULD_NOT_CREATE_TRANS_FACT`
`static java.lang.String` | `DATA_CONVERSION_ERR`
`static java.lang.String` | `DOCUMENT_ARG_ERR`
`static java.lang.String` | `ELEMENT_PARSE_ERR`
`static java.lang.String` | `ER_RESULT_NULL`
`static java.lang.String` | `ERROR_LISTENER_NULL_ERR`
`static java.lang.String` | `ERROR_MESSAGES_KEY`
`static java.lang.String` | `ERROR_MSG`
`static java.lang.String` | `ERROR_PLUS_WRAPPED_MSG`
`static java.lang.String` | `FATAL_ERR_MSG`
`static java.lang.String` | `FATAL_ERR_PLUS_WRAPPED_MSG`
`static java.lang.String` | `FILE_ACCESS_ERR`
`static java.lang.String` | `FILE_NOT_FOUND_ERR`
`static java.lang.String` | `FUNCTION_RESOLVE_ERR`
`static java.lang.String` | `ILLEGAL_ARG_ERR`
`static java.lang.String` | `ILLEGAL_ATTR_NAME_ERR`
`static java.lang.String` | `ILLEGAL_ATTRIBUTE_ERR`
`static java.lang.String` | `ILLEGAL_BINARY_OP_ERR`
`static java.lang.String` | `ILLEGAL_CHAR_ERR`
`static java.lang.String` | `ILLEGAL_CHILD_ERR`
`static java.lang.String` | `ILLEGAL_CMDLINE_OPTION_ERR`
`static java.lang.String` | `ILLEGAL_ELEM_NAME_ERR`
`static java.lang.String` | `ILLEGAL_PI_ERR`
`static java.lang.String` | `ILLEGAL_RELAT_OP_ERR`
`static java.lang.String` | `ILLEGAL_TEXT_NODE_ERR`
`static java.lang.String` | `INTERNAL_ERR`
`static java.lang.String` | `INVALID_METHOD_IN_OUTPUT`
`static java.lang.String` | `INVALID_NCNAME_ERR`
`static java.lang.String` | `INVALID_QNAME_ERR`
`static java.lang.String` | `INVALID_URI_ERR`
`static java.lang.String` | `JAXP_COMPILE_ERR`
`static java.lang.String` | `JAXP_GET_FEATURE_NULL_NAME`
`static java.lang.String` | `JAXP_INVALID_ATTR_ERR`
`static java.lang.String` | `JAXP_INVALID_SET_PARAM_VALUE`
`static java.lang.String` | `JAXP_NO_HANDLER_ERR`
`static java.lang.String` | `JAXP_NO_RESULT_ERR`
`static java.lang.String` | `JAXP_NO_SOURCE_ERR`
`static java.lang.String` | `JAXP_NO_TRANSLET_ERR`
`static java.lang.String` | `JAXP_SET_FEATURE_NULL_NAME`
`static java.lang.String` | `JAXP_SET_RESULT_ERR`
`static java.lang.String` | `JAXP_UNKNOWN_PROP_ERR`
`static java.lang.String` | `JAXP_UNKNOWN_SOURCE_ERR`
`static java.lang.String` | `JAXP_UNSUPPORTED_FEATURE`
`static java.lang.String` | `KEY_USE_ATTR_ERR`
`static java.lang.String` | `METHOD_NOT_FOUND_ERR`
`static java.lang.String` | `MISSING_ROOT_ERR`
`static java.lang.String` | `MISSING_WHEN_ERR`
`static java.lang.String` | `MISSING_XSLT_TARGET_ERR`
`static java.lang.String` | `MISSING_XSLT_URI_ERR`
`static java.lang.String` | `MULTIPLE_OTHERWISE_ERR`
`static java.lang.String` | `MULTIPLE_STYLESHEET_ERR`
`static java.lang.String` | `NAMESPACE_UNDEF_ERR`
`static java.lang.String` | `NEED_LITERAL_ERR`
`static java.lang.String` | `NO_JAVA_FUNCT_THIS_REF`
`static java.lang.String` | `NO_MAIN_TRANSLET_ERR`
`static java.lang.String` | `NO_TRANSLET_CLASS_ERR`
`static java.lang.String` | `NOT_IMPLEMENTED_ERR`
`static java.lang.String` | `NOT_STYLESHEET_ERR`
`static java.lang.String` | `OUTLINE_ERR_DELETED_TARGET`
`static java.lang.String` | `OUTLINE_ERR_METHOD_TOO_BIG`
`static java.lang.String` | `OUTLINE_ERR_TRY_CATCH`
`static java.lang.String` | `OUTLINE_ERR_UNBALANCED_MARKERS`
`static java.lang.String` | `OUTPUT_VERSION_ERR`
`static java.lang.String` | `REQUIRED_ATTR_ERR`
`static java.lang.String` | `RESULT_TREE_SORT_ERR`
`static java.lang.String` | `RUNTIME_ERROR_KEY`
`static java.lang.String` | `SAX_PARSER_CONFIG_ERR`
`static java.lang.String` | `SAX2DOM_ADAPTER_ERR`
`static java.lang.String` | `STRAY_ATTRIBUTE_ERR`
`static java.lang.String` | `STRAY_OTHERWISE_ERR`
`static java.lang.String` | `STRAY_SORT_ERR`
`static java.lang.String` | `STRAY_WHEN_ERR`
`static java.lang.String` | `SYMBOLS_REDEF_ERR`
`static java.lang.String` | `SYNTAX_ERR`
`static java.lang.String` | `TEMPLATE_REDEF_ERR`
`static java.lang.String` | `TEMPLATE_UNDEF_ERR`
`static java.lang.String` | `TRANSFORM_USAGE_STR`
`static java.lang.String` | `TRANSFORM_WITH_JAR_STR`
`static java.lang.String` | `TRANSFORM_WITH_TRANSLET_STR`
`static java.lang.String` | `TRANSLET_CLASS_ERR`
`static java.lang.String` | `TRANSLET_NAME_JAVA_CONFLICT`
`static java.lang.String` | `TRANSLET_OBJECT_ERR`
`static java.lang.String` | `TYPE_CHECK_ERR`
`static java.lang.String` | `TYPE_CHECK_UNK_LOC_ERR`
`static java.lang.String` | `UNKNOWN_SIG_TYPE_ERR`
`static java.lang.String` | `UNNAMED_ATTRIBSET_ERR`
`static java.lang.String` | `UNSUPPORTED_ENCODING`
`static java.lang.String` | `UNSUPPORTED_EXT_ERR`
`static java.lang.String` | `UNSUPPORTED_XSL_ERR`
`static java.lang.String` | `VARIABLE_REDEF_ERR`
`static java.lang.String` | `VARIABLE_UNDEF_ERR`
`static java.lang.String` | `WARNING_MSG`
`static java.lang.String` | `WARNING_PLUS_WRAPPED_MSG`
`static java.lang.String` | `WHEN_ELEMENT_ERR`
`static java.lang.String` | `XPATH_PARSER_ERR`
`static java.lang.String` | `XSL_VERSION_ERR`
`static java.lang.String` | `XSLTC_SOURCE_ERR`

Constructor Summary
`ErrorMsg(java.lang.String code)`
`ErrorMsg(java.lang.String message, int line)`
`ErrorMsg(java.lang.String code, int line, java.lang.Object param)`
`ErrorMsg(java.lang.String code, java.lang.Object param)`
`ErrorMsg(java.lang.String code, java.lang.Object param1, java.lang.Object param2)`
`ErrorMsg(java.lang.String code, java.lang.Object param1, java.lang.Object param2, SyntaxTreeNode node)`
`ErrorMsg(java.lang.String code, java.lang.Object param1, SyntaxTreeNode node)`
`ErrorMsg(java.lang.String code, SyntaxTreeNode node)`
`ErrorMsg(java.lang.Throwable e)`

Method Summary
`boolean` | `isWarningError()`
`void` | `setWarningError(boolean flag)`
`java.lang.String` | `toString()` This version of toString() uses the _params instance variable to format the message.
`java.lang.String` | `toString(java.lang.Object obj)`
`java.lang.String` | `toString(java.lang.Object obj0, java.lang.Object obj1)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MULTIPLE_STYLESHEET_ERR

    public static final java.lang.String MULTIPLE_STYLESHEET_ERR

### TEMPLATE_REDEF_ERR

    public static final java.lang.String TEMPLATE_REDEF_ERR

### TEMPLATE_UNDEF_ERR

    public static final java.lang.String TEMPLATE_UNDEF_ERR

### VARIABLE_REDEF_ERR

    public static final java.lang.String VARIABLE_REDEF_ERR

### VARIABLE_UNDEF_ERR

    public static final java.lang.String VARIABLE_UNDEF_ERR

### CLASS_NOT_FOUND_ERR

    public static final java.lang.String CLASS_NOT_FOUND_ERR

### METHOD_NOT_FOUND_ERR

    public static final java.lang.String METHOD_NOT_FOUND_ERR

### ARGUMENT_CONVERSION_ERR

    public static final java.lang.String ARGUMENT_CONVERSION_ERR

### FILE_NOT_FOUND_ERR

    public static final java.lang.String FILE_NOT_FOUND_ERR

### INVALID_URI_ERR

    public static final java.lang.String INVALID_URI_ERR

### FILE_ACCESS_ERR

    public static final java.lang.String FILE_ACCESS_ERR

### MISSING_ROOT_ERR

    public static final java.lang.String MISSING_ROOT_ERR

### NAMESPACE_UNDEF_ERR

    public static final java.lang.String NAMESPACE_UNDEF_ERR

### FUNCTION_RESOLVE_ERR

    public static final java.lang.String FUNCTION_RESOLVE_ERR

### NEED_LITERAL_ERR

    public static final java.lang.String NEED_LITERAL_ERR

### XPATH_PARSER_ERR

    public static final java.lang.String XPATH_PARSER_ERR

### REQUIRED_ATTR_ERR

    public static final java.lang.String REQUIRED_ATTR_ERR

### ILLEGAL_CHAR_ERR

    public static final java.lang.String ILLEGAL_CHAR_ERR

### ILLEGAL_PI_ERR

    public static final java.lang.String ILLEGAL_PI_ERR

### STRAY_ATTRIBUTE_ERR

    public static final java.lang.String STRAY_ATTRIBUTE_ERR

### ILLEGAL_ATTRIBUTE_ERR

    public static final java.lang.String ILLEGAL_ATTRIBUTE_ERR

### CIRCULAR_INCLUDE_ERR

    public static final java.lang.String CIRCULAR_INCLUDE_ERR

### RESULT_TREE_SORT_ERR

    public static final java.lang.String RESULT_TREE_SORT_ERR

### SYMBOLS_REDEF_ERR

    public static final java.lang.String SYMBOLS_REDEF_ERR

### XSL_VERSION_ERR

    public static final java.lang.String XSL_VERSION_ERR

### CIRCULAR_VARIABLE_ERR

    public static final java.lang.String CIRCULAR_VARIABLE_ERR

### ILLEGAL_BINARY_OP_ERR

    public static final java.lang.String ILLEGAL_BINARY_OP_ERR

### ILLEGAL_ARG_ERR

    public static final java.lang.String ILLEGAL_ARG_ERR

### DOCUMENT_ARG_ERR

    public static final java.lang.String DOCUMENT_ARG_ERR

### MISSING_WHEN_ERR

    public static final java.lang.String MISSING_WHEN_ERR

### MULTIPLE_OTHERWISE_ERR

    public static final java.lang.String MULTIPLE_OTHERWISE_ERR

### STRAY_OTHERWISE_ERR

    public static final java.lang.String STRAY_OTHERWISE_ERR

### STRAY_WHEN_ERR

    public static final java.lang.String STRAY_WHEN_ERR

### WHEN_ELEMENT_ERR

    public static final java.lang.String WHEN_ELEMENT_ERR

### UNNAMED_ATTRIBSET_ERR

    public static final java.lang.String UNNAMED_ATTRIBSET_ERR

### ILLEGAL_CHILD_ERR

    public static final java.lang.String ILLEGAL_CHILD_ERR

### ILLEGAL_ELEM_NAME_ERR

    public static final java.lang.String ILLEGAL_ELEM_NAME_ERR

### ILLEGAL_ATTR_NAME_ERR

    public static final java.lang.String ILLEGAL_ATTR_NAME_ERR

### ILLEGAL_TEXT_NODE_ERR

    public static final java.lang.String ILLEGAL_TEXT_NODE_ERR

### SAX_PARSER_CONFIG_ERR

    public static final java.lang.String SAX_PARSER_CONFIG_ERR

### INTERNAL_ERR

    public static final java.lang.String INTERNAL_ERR

### UNSUPPORTED_XSL_ERR

    public static final java.lang.String UNSUPPORTED_XSL_ERR

### UNSUPPORTED_EXT_ERR

    public static final java.lang.String UNSUPPORTED_EXT_ERR

### MISSING_XSLT_URI_ERR

    public static final java.lang.String MISSING_XSLT_URI_ERR

### MISSING_XSLT_TARGET_ERR

    public static final java.lang.String MISSING_XSLT_TARGET_ERR

### NOT_IMPLEMENTED_ERR

    public static final java.lang.String NOT_IMPLEMENTED_ERR

### NOT_STYLESHEET_ERR

    public static final java.lang.String NOT_STYLESHEET_ERR

### ELEMENT_PARSE_ERR

    public static final java.lang.String ELEMENT_PARSE_ERR

### KEY_USE_ATTR_ERR

    public static final java.lang.String KEY_USE_ATTR_ERR

### OUTPUT_VERSION_ERR

    public static final java.lang.String OUTPUT_VERSION_ERR

### ILLEGAL_RELAT_OP_ERR

    public static final java.lang.String ILLEGAL_RELAT_OP_ERR

### ATTRIBSET_UNDEF_ERR

    public static final java.lang.String ATTRIBSET_UNDEF_ERR

### ATTR_VAL_TEMPLATE_ERR

    public static final java.lang.String ATTR_VAL_TEMPLATE_ERR

### UNKNOWN_SIG_TYPE_ERR

    public static final java.lang.String UNKNOWN_SIG_TYPE_ERR

### DATA_CONVERSION_ERR

    public static final java.lang.String DATA_CONVERSION_ERR

### NO_TRANSLET_CLASS_ERR

    public static final java.lang.String NO_TRANSLET_CLASS_ERR

### NO_MAIN_TRANSLET_ERR

    public static final java.lang.String NO_MAIN_TRANSLET_ERR

### TRANSLET_CLASS_ERR

    public static final java.lang.String TRANSLET_CLASS_ERR

### TRANSLET_OBJECT_ERR

    public static final java.lang.String TRANSLET_OBJECT_ERR

### ERROR_LISTENER_NULL_ERR

    public static final java.lang.String ERROR_LISTENER_NULL_ERR

### JAXP_UNKNOWN_SOURCE_ERR

    public static final java.lang.String JAXP_UNKNOWN_SOURCE_ERR

### JAXP_NO_SOURCE_ERR

    public static final java.lang.String JAXP_NO_SOURCE_ERR

### JAXP_COMPILE_ERR

    public static final java.lang.String JAXP_COMPILE_ERR

### JAXP_INVALID_ATTR_ERR

    public static final java.lang.String JAXP_INVALID_ATTR_ERR

### JAXP_SET_RESULT_ERR

    public static final java.lang.String JAXP_SET_RESULT_ERR

### JAXP_NO_TRANSLET_ERR

    public static final java.lang.String JAXP_NO_TRANSLET_ERR

### JAXP_NO_HANDLER_ERR

    public static final java.lang.String JAXP_NO_HANDLER_ERR

### JAXP_NO_RESULT_ERR

    public static final java.lang.String JAXP_NO_RESULT_ERR

### JAXP_UNKNOWN_PROP_ERR

    public static final java.lang.String JAXP_UNKNOWN_PROP_ERR

### SAX2DOM_ADAPTER_ERR

    public static final java.lang.String SAX2DOM_ADAPTER_ERR

### XSLTC_SOURCE_ERR

    public static final java.lang.String XSLTC_SOURCE_ERR

### ER_RESULT_NULL

    public static final java.lang.String ER_RESULT_NULL

### JAXP_INVALID_SET_PARAM_VALUE

    public static final java.lang.String JAXP_INVALID_SET_PARAM_VALUE

### JAXP_SET_FEATURE_NULL_NAME

    public static final java.lang.String JAXP_SET_FEATURE_NULL_NAME

### JAXP_GET_FEATURE_NULL_NAME

    public static final java.lang.String JAXP_GET_FEATURE_NULL_NAME

### JAXP_UNSUPPORTED_FEATURE

    public static final java.lang.String JAXP_UNSUPPORTED_FEATURE

### COMPILE_STDIN_ERR

    public static final java.lang.String COMPILE_STDIN_ERR

### COMPILE_USAGE_STR

    public static final java.lang.String COMPILE_USAGE_STR

### TRANSFORM_USAGE_STR

    public static final java.lang.String TRANSFORM_USAGE_STR

### STRAY_SORT_ERR

    public static final java.lang.String STRAY_SORT_ERR

### UNSUPPORTED_ENCODING

    public static final java.lang.String UNSUPPORTED_ENCODING

### SYNTAX_ERR

    public static final java.lang.String SYNTAX_ERR

### CONSTRUCTOR_NOT_FOUND

    public static final java.lang.String CONSTRUCTOR_NOT_FOUND

### NO_JAVA_FUNCT_THIS_REF

    public static final java.lang.String NO_JAVA_FUNCT_THIS_REF

### TYPE_CHECK_ERR

    public static final java.lang.String TYPE_CHECK_ERR

### TYPE_CHECK_UNK_LOC_ERR

    public static final java.lang.String TYPE_CHECK_UNK_LOC_ERR

### ILLEGAL_CMDLINE_OPTION_ERR

    public static final java.lang.String ILLEGAL_CMDLINE_OPTION_ERR

### CMDLINE_OPT_MISSING_ARG_ERR

    public static final java.lang.String CMDLINE_OPT_MISSING_ARG_ERR

### WARNING_PLUS_WRAPPED_MSG

    public static final java.lang.String WARNING_PLUS_WRAPPED_MSG

### WARNING_MSG

    public static final java.lang.String WARNING_MSG

### FATAL_ERR_PLUS_WRAPPED_MSG

    public static final java.lang.String FATAL_ERR_PLUS_WRAPPED_MSG

### FATAL_ERR_MSG

    public static final java.lang.String FATAL_ERR_MSG

### ERROR_PLUS_WRAPPED_MSG

    public static final java.lang.String ERROR_PLUS_WRAPPED_MSG

### ERROR_MSG

    public static final java.lang.String ERROR_MSG

### TRANSFORM_WITH_TRANSLET_STR

    public static final java.lang.String TRANSFORM_WITH_TRANSLET_STR

### TRANSFORM_WITH_JAR_STR

    public static final java.lang.String TRANSFORM_WITH_JAR_STR

### COULD_NOT_CREATE_TRANS_FACT

    public static final java.lang.String COULD_NOT_CREATE_TRANS_FACT

### TRANSLET_NAME_JAVA_CONFLICT

    public static final java.lang.String TRANSLET_NAME_JAVA_CONFLICT

### INVALID_QNAME_ERR

    public static final java.lang.String INVALID_QNAME_ERR

### INVALID_NCNAME_ERR

    public static final java.lang.String INVALID_NCNAME_ERR

### INVALID_METHOD_IN_OUTPUT

    public static final java.lang.String INVALID_METHOD_IN_OUTPUT

### OUTLINE_ERR_TRY_CATCH

    public static final java.lang.String OUTLINE_ERR_TRY_CATCH

### OUTLINE_ERR_UNBALANCED_MARKERS

    public static final java.lang.String OUTLINE_ERR_UNBALANCED_MARKERS

### OUTLINE_ERR_DELETED_TARGET

    public static final java.lang.String OUTLINE_ERR_DELETED_TARGET

### OUTLINE_ERR_METHOD_TOO_BIG

    public static final java.lang.String OUTLINE_ERR_METHOD_TOO_BIG

### ERROR_MESSAGES_KEY

    public static final java.lang.String ERROR_MESSAGES_KEY

### COMPILER_ERROR_KEY

    public static final java.lang.String COMPILER_ERROR_KEY

### COMPILER_WARNING_KEY

    public static final java.lang.String COMPILER_WARNING_KEY

### RUNTIME_ERROR_KEY

    public static final java.lang.String RUNTIME_ERROR_KEY

Constructor Detail

### ErrorMsg

    public ErrorMsg(java.lang.String code)

### ErrorMsg

    public ErrorMsg(java.lang.Throwable e)

### ErrorMsg

    public ErrorMsg(java.lang.String message,
                    int line)

### ErrorMsg

    public ErrorMsg(java.lang.String code,
                    int line,
                    java.lang.Object param)

### ErrorMsg

    public ErrorMsg(java.lang.String code,
                    java.lang.Object param)

### ErrorMsg

    public ErrorMsg(java.lang.String code,
                    java.lang.Object param1,
                    java.lang.Object param2)

### ErrorMsg

    public ErrorMsg(java.lang.String code,
                    SyntaxTreeNode node)

### ErrorMsg

    public ErrorMsg(java.lang.String code,
                    java.lang.Object param1,
                    SyntaxTreeNode node)

### ErrorMsg

    public ErrorMsg(java.lang.String code,
                    java.lang.Object param1,
                    java.lang.Object param2,
                    SyntaxTreeNode node)

Method Detail

### toString

    public java.lang.String toString()

  This version of toString() uses the _params instance variable to format the message. If the `_code` is negative the use _message as the error string.
  Overrides:
    toString in class java.lang.Object

### toString

    public java.lang.String toString(java.lang.Object obj)

### toString

    public java.lang.String toString(java.lang.Object obj0,
                                     java.lang.Object obj1)

### setWarningError

    public void setWarningError(boolean flag)

### isWarningError

    public boolean isWarningError()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.